> For the complete documentation index, see [llms.txt](https://ja.docs.monaca.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://ja.docs.monaca.io/products_guide/monaca_ide/dependencies/file_dir.md).

# ファイル・フォルダー構成

| File/Folder Name                                                                  | Description                            |
| --------------------------------------------------------------------------------- | -------------------------------------- |
| [plugins/](/products_guide/monaca_ide/dependencies/file_dir.md#plugins-forud)     | 追加のプラグインを保存しておくフォルダー                   |
| `res/`                                                                            | Android、iOS、Winrt 向けの各リソースを保存しているフォルダー |
| [www/](/products_guide/monaca_ide/dependencies/file_dir.md#www-forud)             | アプリの中核となるファイル ( 群 ) を保存しているフォルダー       |
| [config.xml](/products_guide/monaca_ide/dependencies/file_dir.md#configxml-fairu) | Cordova の設定ファイル                        |
| `package.json`                                                                    | Cordova プラグイン管理ファイル                    |

### www フォルダー

アプリ本体のファイルを格納します。ファイルとフォルダーは、`www` フォルダー下であれば、自由に配置できますが、次のファイルとフォルダーだけは、特別な意味を持ちます。

| ファイル・フォルダ名                                                                          | 説明                                                            |
| ----------------------------------------------------------------------------------- | ------------------------------------------------------------- |
| `index.html`                                                                        | アプリの起動時に、最初に表示されるページです ( デフォルト設定 )。なお、最初に読み込むファイルは、自由に変更できます。 |
| [components/](/products_guide/monaca_ide/dependencies/file_dir.md#components-forud) | プロジェクトで使用する、すべての JS/CSS コンポーネントを格納するフォルダーです ( Monaca 側で作成 )。  |

### components フォルダー

`www/components/` フォルダー下に、プロジェクトで使用する、すべての JS/CSS コンポーネントを格納します。

次の 2 つのファイルは、プロジェクトに追加したコンポーネントの種類にかかわらず、デフォルトで、このフォルダーに常に置かれているファイルです。

| ファイル名        | 説明                                           |
| ------------ | -------------------------------------------- |
| `loader.js`  | コンポーネントを読み込むときに、Monaca が使用する JavaScript ファイル |
| `loader.css` | コンポーネントを読み込むときに、Monaca が使用する スタイルシート ファイル    |

`loader.js` と `loader.css` を、HTML から読み込む必要があります 。

各コンポーネントのフォルダーは、`www/components/` フォルダーのサブフォルダーとして作成されます。

### plugins フォルダー

ZIP ファイルを使用して Cordova プラグインをインポートした場合、このフォルダ内に保存されます。 URL または プラグインID を使用してプラグインをインポートした場合は、ビルドの際にプラグインファイルがダウンロードされます。

### config.xml ファイル

`config.xml` には、Cordova の挙動を制御するための設定が定義されています。`config.xml` ファイルを使用した、Android アプリと iOS アプリ向けの設定は、次のリンク先をご確認ください。

* [Android 向けの config.xml の設定](/reference/config/android/android_configuration.md)
* [iOS 向けの config.xml の設定](/reference/config/ios/ios_configuration.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://ja.docs.monaca.io/products_guide/monaca_ide/dependencies/file_dir.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
